# BarcodeCameraConfiguration class

Inheritance
  - Object
  - CameraConfiguration
  - BarcodeCameraConfiguration
Annotations
  - @JsonSerializable(createFactory: false, includeIfNull: false, explicitToJson: true)

## Constructors

BarcodeCameraConfiguration({required BarcodeClassicScannerConfiguration scannerConfiguration, bool? flashEnabled, FinderConfiguration? finder, double? cameraZoomFactor})

## Properties

cameraZoomFactor ↔ double?
  Set current zoom by a linear zoom value ranging from 0f to 1.0f. Optical Zoom Level 0f represents the minimum zoom while Optical Zoom Level 1.0f represents the maximum zoom. Default value is 0f.
  read / write
detectorType → DetectorType
  final
finder ↔ FinderConfiguration?
  Configuration of the finder window.
  read / write
flashEnabled ↔ bool?
  Controls whether the flash should be initially enabled. The default value is FALSE.
  read / write
handleCameraInAppBackgroundAutomatically ↔ bool
  read / write inherited
hashCode → int
  The hash code for this object.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited
scannerConfiguration ↔ BarcodeClassicScannerConfiguration
  Configuration of the barcode scanner detection behavior eg. which barcode types to detect etc.
  read / write

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
  override
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited